Summary: SSL-encrypting socket wrapper
Name: stunnel
Version: 3.22
Release: 1.3.0
%define openssldir /var/ssl
Copyright: GPL
Group: Networking
Source0: http://mike.daewoo.com.pl/computer/stunnel/%{name}-%{version}.tar.gz
Source1: stunnel-server.pem
Patch0: stunnel-3.22-makefile.patch
Patch1: stunnel-3.22-pass-PEER_IP-gd-1.diff
Buildroot: /var/tmp/stunnel-root
Vendor: Guardian Digital, Inc. 
Buildrequires: openssl-devel
Requires: openssl

%description
stunnel is a socket wrapper which can be used to give ordinary
applications SSL (secure sockets layer) support. For example, it
can be used in conjunction with a imapd to create a SSL secure IMAP
server.


%prep
%setup -q
%patch0
%patch1 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure \
                        --prefix=/usr \
                        --localstatedir=/var/run \
                        --with-pem-dir=%{openssldir}/certs \
                        --with-cert-dir=%{openssldir}/certs \
                        --enable-ssllib-cs
make


%install
  rm -rf $RPM_BUILD_ROOT
  install -d -m755 $RPM_BUILD_ROOT/usr/sbin
  install -d -m755 $RPM_BUILD_ROOT%{_mandir}/man8
  install -d -m755 $RPM_BUILD_ROOT/etc/ssl/certs

  install -c -m 711 stunnel     $RPM_BUILD_ROOT/usr/sbin
  install -c -m 644 stunnel.8   $RPM_BUILD_ROOT%{_mandir}/man8

  install -c -m 600 ${RPM_SOURCE_DIR}/stunnel-server.pem \
                    $RPM_BUILD_ROOT/etc/ssl/certs/server.pem


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root)
/usr/sbin/stunnel
%config /etc/ssl/certs/

%doc BUGS COPYING COPYRIGHT.GPL COPYRIGHT.SSLeay FAQ HISTORY INSTALL PORTS
%doc README TODO stunnel.html
%doc %{_mandir}/man8/stunnel.8*


%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Mon Feb 24 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 3.22, Release 1.5.2
  - Bring in PEER_IP patch from MSS.

* Fri Feb 21 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 3.22, Release 1.5.1
  - Fix %files to handle compressed man pages.

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Mon Feb 11 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.2.0
  - Initial build for EnGarde v1.2 (Parry).

* Mon Dec 24 2001 Nick Declario <nick@guardiandigital.com>
- Version 3.22, Release 1.1.1
  - Updated to latest version to fix critical bug in stunnel
  - Patched Makefile.in to remove pem creation

* Tue Aug 07 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 3.8p4, Release 1.1.0
  - Initial build for EnGarde v1.1 (Balestra).

* Tue Dec 19 2000 Nick DeClario <nick@guardiandigital.com>
- Fixed format bug fix with a patch.  3.8p4-1.0.3 is equivalent
	to 3.9.

* Mon Nov 27 2000 Ryan W. Maple <ryan@guardiandigital.com>
- Removed /usr/sbin/MakePEM
- Fixed certificate so the Common Name is "*".

* Mon Nov 20 2000 Nick DeClario <nick@guardiandigital.com>
- Created RPM based on original RPM from Damien Miller 
- Added default server certificate
- Moved POP and IMAP init scripts to IMAP-2000 RPM
